Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Return the list of available attachment points for DCF policies.
cURL
curl -sk -X GET "https://<controller>/v2.5/api/microseg/attachment-points" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/microseg/attachment-points" headers = {"Authorization": "cid <CID>"} response = requests.get(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/microseg/attachment-points", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
[ { "attachment_points": [ { "attachment_point_id": "uuid", "name": "name" } ] } ]
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
Filter by attachment point name
Filter by attachment point ID
GET operation response
Was this page helpful?